// file copyright BLITTE Julien
#include "mapping.h"

char Keyboard_map[5][0x59];

int VkToChar(int code) {
	int i, result;
	result = 0;
    for(i=0; i <= 0xFF; i++) {
		if (VkKeyScan(i) == code)
			result = i;
	}
	return result;
}

void mapKeyboard() {
	int i, j, Vk;
	for(j=0; j <= 4; j++)
		for(i=0; i < 0x60; i++) {
			Vk = MapVirtualKey(i, 1);
			switch(j) {
			case 0:
			   Vk |= Vk_shortcut_none;
			   break;
			case 1:
			   Vk |= Vk_shortcut_shift;
			   break;
			case 2:
			   Vk |= Vk_shortcut_alt;
			   break;
			case 3:
			   Vk |= Vk_shortcut_ctrl;
			   break;
			case 4:
			   Vk |= Vk_shortcut_ctrl;
			   Vk |= Vk_shortcut_alt;
			   break;
			}
			Keyboard_map[j][i] = VkToChar(Vk);
		}
}